be.cin.mycarenet._1_0.carenet.types

## Class PeriodLengthType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.PeriodLengthType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:46:15+01:00",
                 comments="JAXB RI v2.3.7")
      public class PeriodLengthType
      extends Object
      implements Serializable

  Java class for PeriodLengthType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PeriodLengthType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="PeriodStart" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <choice minOccurs="0">
                 <element name="PeriodEnd" type="{http://www.w3.org/2001/XMLSchema}date"/>
                 <element name="PeriodLength">
                   <complexType>
                     <simpleContent>
                       <extension base="<urn:be:cin:mycarenet:1.0:carenet:types>NumericalType_2">
                         <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodLengthTypeType" />
                       </extension>
                     </simpleContent>
                   </complexType>
                 </element>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodLengthType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getPeriodEnd()` Gets the value of the periodEnd property.
    `PeriodLength` | `getPeriodLength()` Gets the value of the periodLength property.
    `org.joda.time.DateTime` | `getPeriodStart()` Gets the value of the periodStart property.
    `void` | `setPeriodEnd(org.joda.time.DateTime value)` Sets the value of the periodEnd property.
    `void` | `setPeriodLength(PeriodLength value)` Sets the value of the periodLength property.
    `void` | `setPeriodStart(org.joda.time.DateTime value)` Sets the value of the periodStart property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeriodLengthType

          public PeriodLengthType()

  - ### Method Detail

    - #### getPeriodStart

          public org.joda.time.DateTime getPeriodStart()

      Gets the value of the periodStart property.
      Returns:
        possible object is `String`

    - #### setPeriodStart

          public void setPeriodStart(org.joda.time.DateTime value)

      Sets the value of the periodStart property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPeriodLength

          public PeriodLength getPeriodLength()

      Gets the value of the periodLength property.
      Returns:
        possible object is `PeriodLength`

    - #### setPeriodLength

          public void setPeriodLength(PeriodLength value)

      Sets the value of the periodLength property.
      Parameters:
        `value` - allowed object is `PeriodLength`

    - #### getPeriodEnd

          public org.joda.time.DateTime getPeriodEnd()

      Gets the value of the periodEnd property.
      Returns:
        possible object is `String`

    - #### setPeriodEnd

          public void setPeriodEnd(org.joda.time.DateTime value)

      Sets the value of the periodEnd property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.